From fe1dc26894ea846bf8a709690caf786ecb19ee98 Mon Sep 17 00:00:00 2001
From: Dusty Mabe <dusty@dustymabe.com>
Date: Jun 08 2018 20:01:24 +0000
Subject: [PATCH 1/3] More labels For COREOS issue syncing


Let's add a few more labels. Now we have:

sst_rhcos - team 1 board
sst_coreosct - team 2 board
upstream - easily find issues synced from upstream

---

diff --git a/ansible/files/sync2jira.py b/ansible/files/sync2jira.py
index 25e5e1f..c55b099 100644
--- a/ansible/files/sync2jira.py
+++ b/ansible/files/sync2jira.py
@@ -135,7 +135,7 @@ config = {
                 'ostreedev/ostree': {'project': 'RHELPLAN', 'component': None, 'labels': ['sst_atomic_host', 'upstream'],},
 
                 # CoreOS repos
-                'coreos/bugs': {'project': 'COREOS', 'component': None, 'labels': 'sst_rhcos'},
+                'coreos/bugs': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},
             },
         },
     },

From 75862183a355b01fecd6915673d4095eaaf3d902 Mon Sep 17 00:00:00 2001
From: Dusty Mabe <dusty@dustymabe.com>
Date: Jun 08 2018 20:13:40 +0000
Subject: [PATCH 2/3] Atomic Teams now use COREOS project.


---

diff --git a/ansible/files/sync2jira.py b/ansible/files/sync2jira.py
index c55b099..3e2a3f1 100644
--- a/ansible/files/sync2jira.py
+++ b/ansible/files/sync2jira.py
@@ -86,7 +86,7 @@ config = {
                 'fedora-ci/AtomicCi': { 'project': 'RHELPLAN', 'component': None, 'labels': 'sst_operating_system_ci'},
 
                 # Atomic Host repos
-                'atomic-wg': {'project': 'RHELPLAN', 'component': None, 'labels': ['sst_atomic_host', 'upstream'],},
+                'atomic-wg': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},
             },
             'github': {
                 'nirzari/review-rot': {'project': 'DEVOPSA', 'component': None, },
@@ -129,10 +129,10 @@ config = {
                 'release-engineering/koji-dojo': {'project': 'NOS', 'component': 'Koji-dojo'},
 
                 # Atomic Host repos
-                'projectatomic/rpm-ostree': {'project': 'RHELPLAN', 'component': None, 'labels': ['sst_atomic_host', 'upstream'],},
-                'projectatomic/atomic-host-tests': {'project': 'RHELPLAN', 'component': None, 'labels': ['sst_atomic_host', 'upstream'],},
-                'projectatomic/papr': {'project': 'RHELPLAN', 'component': None, 'labels': ['sst_atomic_host', 'upstream'],},
-                'ostreedev/ostree': {'project': 'RHELPLAN', 'component': None, 'labels': ['sst_atomic_host', 'upstream'],},
+                'projectatomic/rpm-ostree': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},
+                'projectatomic/atomic-host-tests': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},
+                'projectatomic/papr': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},
+                'ostreedev/ostree': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},
 
                 # CoreOS repos
                 'coreos/bugs': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},

From f43e54ea0db78c3b4edfae706bfad00412498647 Mon Sep 17 00:00:00 2001
From: Dusty Mabe <dusty@dustymabe.com>
Date: Jun 11 2018 21:41:59 +0000
Subject: [PATCH 3/3] add upstream_cl and upstream_atomic labels


These will help us track which issues are coming from what project.

---

diff --git a/ansible/files/sync2jira.py b/ansible/files/sync2jira.py
index 3e2a3f1..32aa1e5 100644
--- a/ansible/files/sync2jira.py
+++ b/ansible/files/sync2jira.py
@@ -86,7 +86,7 @@ config = {
                 'fedora-ci/AtomicCi': { 'project': 'RHELPLAN', 'component': None, 'labels': 'sst_operating_system_ci'},
 
                 # Atomic Host repos
-                'atomic-wg': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},
+                'atomic-wg': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream', 'upstream_atomic'],},
             },
             'github': {
                 'nirzari/review-rot': {'project': 'DEVOPSA', 'component': None, },
@@ -135,7 +135,7 @@ config = {
                 'ostreedev/ostree': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},
 
                 # CoreOS repos
-                'coreos/bugs': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream'],},
+                'coreos/bugs': {'project': 'COREOS', 'component': None, 'labels': ['sst_rhcos', 'sst_coreosct' 'upstream', 'upstream_cl'],},
             },
         },
     },

